Subject: [PATCH v2 12/13] ARM: move sp804 and integrator timers to drivers/clocksource

From: [email-masked] (Rob Herring)
Date: Thu, 11 Apr 2013 10:12:19 -0500

On 04/11/2013 03:33 AM, Linus Walleij wrote:
> On Thu, Apr 11, 2013 at 1:23 AM, Rob Herring <[email-masked]> wrote:
> 
>> I'm waiting until there is some clear direction on how or if to split up
>> clksrc and clkevt drivers. So I will drop this patch for 3.10 unless you
>> are okay with moving it to drivers/clocksource first and sorting out how
>> to split things later.
> 
> No hurries.
> 
> What do you think about my proposal to create drivers/timer
> and move the clocksource drivers in a subdir there?

I had the exact same idea. I not convinced on how many of the drivers
could be split though. So if everything just ends up in drivers/timers
rather than drivers/timers/ subdirectories, we haven't really
accomplished anything.

Rob